Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
element handleNotificationEvent

Properties
  This component is not nillable.

Model
  `<handleNotificationEvent
  description = xs:string
  event = xs:string
  eventLabel = xs:string
  filterable = xs:boolean
  names = xs:string
  namespaces = xs:string
  onlyIfDisplayed = xs:boolean
  sourceDesktopPaths = xs:string
  sourcePortalPaths = xs:string
  sourcePortletDefinitionLabels = xs:string
  sourceWebAppNames = xs:string>
  (changeWindowState | changeWindowMode | activatePage | invokePageFlowAction | invokeStrutsAction | fireCustomEvent | fireEvent | invokeBackingFileMethod | dispatchToRemotePortlet | invokeJavaPortletMethod | consumeNotification)*
  </handleNotificationEvent>`

Nested Element Summary
`` | `activatePage`
`` | `changeWindowMode`
`` | `changeWindowState`
`` | `consumeNotification`
`` | `dispatchToRemotePortlet`
`` | `fireCustomEvent`
`` | `fireEvent`
`` | `invokeBackingFileMethod`
`` | `invokeJavaPortletMethod`
`` | `invokePageFlowAction`
`` | `invokeStrutsAction`

Attribute Summary
`xs:string` | `description`
`xs:string` | `event`
`xs:string` | `eventLabel`
`xs:boolean` | `filterable`
`xs:string` | `names`
`xs:string` | `namespaces`
`xs:boolean` | `onlyIfDisplayed`
`xs:string` | `sourceDesktopPaths`
`xs:string` | `sourcePortalPaths`
`xs:string` | `sourcePortletDefinitionLabels`
`xs:string` | `sourceWebAppNames`

Attribute Detail

### description

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### event

Type:
  `xs:string`

Use:
  `required`

Form:
  `unqualified`

### eventLabel

Type:
  based on ``
  with :

Use:
  `required`

Form:
  `unqualified`

### filterable

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### names

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### namespaces

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### onlyIfDisplayed

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### sourceDesktopPaths

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### sourcePortalPaths

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### sourcePortletDefinitionLabels

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### sourceWebAppNames

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

Source

      <xs:element name="handleNotificationEvent" type="handleNotificationEventType"/>

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

Copyright 2005 BEA Systems Inc. Complete WebLogic Server Documentation